PPM

Discuss the Perl Package Manager (PPM) and other module installation methods

Soap for Active Perl

Hi All,

I Installed Active Perl in Windows 2012 but when I execute Perl Script it request for Soap transport..

anybody knows from where I can get this Soap module?

Error: ppm gui failed: can't find package ppm::themes

Hi,
I wanted to install a module at my current 5.20.1 installation, Win 8.1 64bit.
When starting ppm via the menu entry I get nothing (the circle which vanishes
after a few seconds).

When I typed 'ppm' in a command shell window I got the error:
ppm gui failed: can't find package ppm::themes

I uninstalled Active Perl and installed 5.20.2. The error/behavior remains the same.

I tried 'ppm install ppm::themes' but got the error:
ppm install failed: Can't find any package that provides ppm::themes

Any help appreciated,
Hans

ppm install yields an error...

When attempting to add packages to Perl, which I installed for an instance Bugzilla,

Downloading DBD-mysql-4.029...failed 500 write failed: Bad file descriptor
ppm install failed: 500 write failed: Bad file descriptor

I cannot find any other posts about this. Any idea to fix it?

John

OS: Windows Server 2008 R2 using IIS

Win32::API - Unable to use after upgrade to perl v5.20.2

I recently removed perl v5.16 and installed v5.20. After the upgrade, a previously working script fails with the message:

Can't locate object method "new" via package "Win32::API" at C:\USERS\BILL\PERL\
LIB/PDFPrint.pm line 15.

I ran the ppm verify action on the module and received response "9 files verified".

ppm indicated that a newer version of the module was available, so I installed the update. I still get exactly the same message.

Any other suggestions?

Bill

Perl Package Install error

C:\Documents and Settings\ccadm>ppm install Crypt::SSLeay
Error: No valid repositories: Error: 404 Not Found at C:/Program
Files/Perl/site/lib/PPM/Repository.pm line 84

It's because the space in the directory - Program Files.

How to fix this?

5.18-x86 repository not working

Hello

Few days ago the 5.18 x86 PPM repository stopped working, it completely disappeared along with 5.20 x86 repository.

Check http://ppm4.activestate.com/MSWin32-x86/

Is it a new policy by activestate or it just moved to somewhere else ?

Latest version of Net::SSLEay for perl 5.20 x64

Hi.

Can everybody help me to install / build latest version of Net::SSLeay for activestate perl 5.20 x64?

Thanks.

SNMP.pm not available?

I was asked by my team to install the SNMP Perl module on our installation. When I try and install it (ppm install SNMP) it doesn't seem to know about the existence of the module:
ppm install failed: Can't find any package that provides SNMP

I do see it in CPAN: https://metacpan.org/pod/SNMP

Does PPM not support SNMP? If so, should I just install via CPAN instead?

PPM failing to install packages

I have been using ActiveState Perl successfully for many years. I have just upgraded to ActivePerl 5.20.1 for Windows 64-bit x64 (was using 5.16 before). My Perl programs that require no extra packages are still working fine, but now PPM is having problems installing packages, with some packages not found ("Error 404"). And strangely the problem is inconsistent. I tried repeatedly to install the DateTime package. Each time I try, it stops on not finding one or other of the 7 required packages for DateTime.

Issue with the add icon

Hi All,

I have installed active perl 5.16.3.16.4, x64 version.

But when i launch PPM, the mark for install and mark for remove icons are disabled, not sure why.

I need to install few packages but not able to do.

Kindly Assist.